Package org.eclipse.emf.compare.ide.internal.utils

## Interface IProxyCreationListener

All Known Implementing Classes:
  `AbstractMonitoredProxyCreationListener`, `LocalMonitoredProxyCreationListener`, `NotLoadingResourceSet`, `RemoteMonitoredProxyCreationListener`

    public interface IProxyCreationListener

Describes the contract for a proxy creation listener as can be notifier from this pool's created parsers.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `proxyCreated​(Resource source, EObject eObject, EStructuralFeature eStructuralFeature, EObject proxy, int position)` This will be called when a proxy is created from one of the parser pool's parsers.

### Method Detail

#### proxyCreated

    void proxyCreated​(Resource source,
                      EObject eObject,
                      EStructuralFeature eStructuralFeature,
                      EObject proxy,
                      int position)

This will be called when a proxy is created from one of the parser pool's parsers.

Parameters:
  `source` - The resource in which a proxy has been created towards another.
  `eObject` - The EObject on which some feature is going to be set with a proxy value.
  `eStructuralFeature` - The structural feature which value will contain a proxy.
  `proxy` - The actual proxy created for this eObject's feature.
  `position` - Position at which the proxy is going to be inserted. This will be set to `-1` when the proxy is added at the end of the `eStructuralFeature`'s values list (for multi-valued features) or if said feature is single-valued.